%define unpackaged_files_terminate_build 1

%define ver_major 0.16

Name: gnome-mag
Version: %ver_major.3
Release: alt1

Summary: %name is a screen magnifier for the GNOME desktop
License: %lgpl2plus
Group: Graphical desktop/GNOME
Url: http://developer.gnome.org/projects/gap
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

%define gtk_ver 2.6.4

Requires: lib%name = %version-%release

BuildPreReq: rpm-build-licenses
BuildPreReq: rpm-build-gnome >= 0.4

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: gnome-common intltool

BuildRequires: libSM-devel libXcomposite-devel libXdamage-devel libXext-devel
BuildRequires: libbonobo-devel libpopt-devel libGConf-devel libat-spi-devel
BuildRequires: libgtk+2-devel libdbus-glib-devel

%description
This package contains a screen magnifier, which allows you to zoom in on
portions of the desktop. It is expressly designed for users with low
vision who wish to use the GNOME desktop.

%package -n lib%name
Summary: Screen magnification library for the GNOME desktop
Group: System/Libraries

%description -n lib%name
This package contains shared version of lib%name

%package -n lib%name-devel
Summary: Development files for lib%name
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains headers and development libraries for GNOME Screen
magnification library.

%prep
%setup -q

%build
%configure

# SMP-incompatible build
%make

%install
%makeinstall

%find_lang --with-gnome %name

%files -f %name.lang
%_bindir/*
%_libdir/orbit-2.0/GNOME_Magnifier_module.so
%bonobo_serversdir/*
%_datadir/%name
%_datadir/idl/*
%_datadir/dbus-1/services/org.freedesktop.gnome.Magnifier.service
%_man1dir/magnifier.*
%doc README AUTHORS NEWS ChangeLog

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*

%exclude %_libdir/orbit-2.0/*.la

%changelog
* Sat Oct 30 2010 Yuri N. Sedunov <aris@altlinux.org> 0.16.3-alt1
- 0.16.3

* Tue Oct 19 2010 Yuri N. Sedunov <aris@altlinux.org> 0.16.2-alt1
- 0.16.2

* Wed Mar 31 2010 Yuri N. Sedunov <aris@altlinux.org> 0.16.1-alt1
- 0.16.1

* Tue Feb 02 2010 Yuri N. Sedunov <aris@altlinux.org> 0.16.0-alt1
- 0.16.0

* Wed Sep 23 2009 Yuri N. Sedunov <aris@altlinux.org> 0.15.9-alt1
- 0.15.9

* Tue Jul 28 2009 Yuri N. Sedunov <aris@altlinux.org> 0.15.8-alt1
- 0.15.8
- updated buildreqs

* Mon Jun 29 2009 Yuri N. Sedunov <aris@altlinux.org> 0.15.7-alt1
- 0.15.7
- intltool added to buildreqs

* Sun Apr 12 2009 Yuri N. Sedunov <aris@altlinux.org> 0.15.6-alt1
- 0.15.6
- updated buildreqs

* Tue Nov 25 2008 Yuri N. Sedunov <aris@altlinux.org> 0.15.4-alt2
- updated buildreqs
- removed obsolete %%*ldconfig from %%post*

* Thu Oct 02 2008 Yuri N. Sedunov <aris@altlinux.org> 0.15.4-alt1
- 0.15.4

* Thu Dec 13 2007 Alexey Shabalin <shaba@altlinux.ru> 0.14.10-alt1
- new version (0.14.10)

* Sat Sep 08 2007 Alexey Rusakov <ktirf@altlinux.org> 0.14.8-alt1
- new version (0.14.8)
- use more macros (notably, from rpm-build-licenses and -gnome)
- don't allow unpackaged files

* Wed Jul 11 2007 Igor Zubkov <icesik@altlinux.org> 0.14.6-alt1
- 0.13.1 -> 0.14.6

* Fri Sep 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.13.1-alt1
- new version 0.13.1 (with rpmrb script)
- updated filelist

* Fri May 19 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.12.5-alt1
- new version 0.12.5 (with rpmrb script)

* Sun May 07 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.12.4-alt1
- new version (0.12.4)
- fixed dependencies

* Wed Oct 05 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.12.2-alt1
- new version

* Wed Sep 28 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.12.1-alt1
- 0.12.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.12.0-alt1
- 0.12

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.11.8-alt1
- 0.11.8

* Mon Apr 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10.11-alt1
- 0.10.11

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10.8-alt1
- 0.10.8

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10.7-alt1
- 0.10.7

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10.6-alt1
- 0.10.6

* Sun Sep 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.10.3-alt1
- First build for Sisyphus.
